---
stages:
 - test-and-build
 - build-manually

test:
  stage: test-and-build
  image: golang:1.13
  only:
    changes:
      - "*.go"
  script:
    - go test . && sleep 60

build_manual:
  stage: build-manually
  when: manual
  except:
    - master
    - main
  image: docker:latest
  script:
    - docker build .

build:
  stage: test-and-build
  needs: []
  only:
    - master
    - main
  image: docker:latest
  script:
    - docker build .
